org.omg.DynamicAny

## Class DynUnionHelper

- java.lang.Object
- - org.omg.DynamicAny.DynUnionHelper

    public abstract class DynUnionHelper
    extends Object

DynUnion objects support the manipulation of IDL unions. A union can have only two valid current positions:

- zero, which denotes the discriminator
- one, which denotes the active member

The component_count value for a union depends on the current discriminator: it is 2 for a union whose discriminator indicates a named member, and 1 otherwise.

### Constructor Summary

Constructors
Constructor and Description
`DynUnionHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static DynUnion` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, DynUnion that)`
`static DynUnion` `narrow(Object obj)`
`static DynUnion` `read(InputStream istream)`
`static TypeCode` `type()`
`static DynUnion` `unchecked_narrow(Object obj)`
`static void` `write(OutputStream ostream, DynUnion value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynUnionHelper

    public DynUnionHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              DynUnion that)

#### extract

    public static DynUnion extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static DynUnion read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             DynUnion value)

#### narrow

    public static DynUnion narrow(Object obj)

#### unchecked_narrow

    public static DynUnion unchecked_narrow(Object obj)